Рейтинг:  0 / 5

Звезда не активнаЗвезда не активнаЗвезда не активнаЗвезда не активнаЗвезда не активна
 

чтобы Joomla установилась и работала нужно выбрать правильный хостинг

Для того, чтобы Joomla установилась и работала нужно выбрать правильный хостинг. Большинство современных хостингов предоставляют необходимый набор компонент, которые нужды для стабильной работы Joomla, например, firstVDS. Но, прежде чем заказывать и оплачивать хостинг, лучше всё-таки убедиться, что необходимый минимум будет предоставлен.



Итак, что же минимально требуется для работы Joomla:

PHP (Magic Quotes GPC off)

  • Рекомендовано 5.6 или 7 и следующие за ней версии
    • Для версий от 3.0 до 3.2 необходим PHP 5.3.1. В версии 3.3 минимальное требование ужесточено до версии PHP 5.3.10.
    • Только Joomla! 3.5 и версии выпущенные за ней совместимы с PHP 7.
  • Минимум 5.3.1 и выше
  • Про PHP можно почитать на сайте www.php.net

Поддерживаемые базы данных:

  • MySQL (Требует поддержки InnoDB)
    • Рекомендовано MySQL 5.5.3 и выше
      • Joomla пока не совместима с MySQL 6.x.
    • Минимум MySQL 5.1 и выше
    • Про MySQL можно почитать на сайте www.mysql.com
  • или SQL Server
    • Рекомендовано SQL Server 10.50.1600.1 и выше
    • Минимум SQL Server 10.50.1600.1 и выше
    • Про SQL Server можно почитать на сайте www.microsoft.com
  • или PostgreSQL
    • Рекомендовано PostgreSQL 9.1 и выше
    • Минимум PostgreSQL 8.3.18 и выше
    • Про PostgreSQL можно почитать на сайте www.postgresql.org

Поддерживаемые веб-серверы:

  • Apachemod_mysql, mod_xml и mod_zlib)
    • Рекомендовано Apache 2.4 и выше
    • Минимум Apache 2.x и выше
    • Про Apache можно почитать на сайте www.apache.org
      • Для того, чтобы использовать дружественные поисковым двигателям URL ссылки (ЧПУ), вам будет необходимо включить расширение mod_rewrite веб-сервера Apache.
      • Для того, чтобы Вы могли загружать и исполнять файлы в своей системе Joomla, рекомендуется расширение mod_suphp или mod_fcgid
  • или Nginx
    • Рекомендовано Nginx 1.8 и выше
    • Минимум Nginx 1.0 и выше
    • Про Nginx можно почитать на сайте wiki.nginx.org
  • или Microsoft IIS
    • Рекомендовано Microsoft IIS 7 и выше
    • Минимум Microsoft IIS 7 и выше
    • Про Microsoft IIS можно почитать на сайте www.iis.net

Хостинг firstVDS предоставляет сервера предустановленным сервером Apache, PHP и MySQL последних стабильных версий. К тому же, на VDS всегда можно установить недостающие или обновить устаревшие модули. Кроме этого, есть возможность поставить пакет с Joomla из панели управления сервером. Но об этом в другой раз.

Заберите ссылку на статью к себе, чтобы потом легко её найти ;)

Выберите, то, чем пользуетесь чаще всего:

Спасибо за внимание, оставайтесь на связи! Ниже ссылка на форум и обсуждение ; )

Log in to comment